Skip to navigation

Update Time Entry

Update information for a specific time entry within a work order

Authentication

x-api-keystring
API Key authentication via header

Path parameters

workOrderIdstringRequiredformat: "uuid"
The id of the work order
timeEntryIdstringRequiredformat: "uuid"
The id of the time entry

Request

This endpoint expects an object.
datedateRequired
The service date for this time entry
startTimestringRequired
The start time of the time entry
endTimestringRequired
The end time of the time entry

Response

Expected response to a valid request
idstringOptionalformat: "uuid"
createdAtdatetimeOptional
updatedAtdatetimeOptional
datedateOptional
The service date for this time entry
startTimestringOptional
The start time of the time entry
endTimestringOptional
The end time of the time entry
workOrderIdstringOptionalformat: "uuid"
Associated work order
propertyIdstringOptionalformat: "uuid"
Associated property